## BtMainPageSequence BtMainPageSequence — the editor main sequence page |

## Functions

BtMainPageSequence * | bt_main_page_sequence_new ()
void | bt_main_page_sequence_delete_selection ()
void | bt_main_page_sequence_copy_selection ()
void | bt_main_page_sequence_cut_selection ()
void | bt_main_page_sequence_paste_selection ()

## Properties

glong | cursor-row | Read
gboolean | follow-playback | Read / Write

## Types and Values

struct | BtMainPageSequence

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── BtMainPageSequence

## Implemented Interfaces

BtMainPageSequence implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

Provides an editor for BtSequence instances.

## Functions

### bt_main_page_sequence_new ()

    BtMainPageSequence *
    bt_main_page_sequence_new (const BtMainPages *pages);

Create a new instance

#### Parameters

pages | the page collection |

#### Returns

the new instance

### bt_main_page_sequence_delete_selection ()

    void
    bt_main_page_sequence_delete_selection
                                   (const BtMainPageSequence *self);

Delete (clear) the selected area.

#### Parameters

self | the sequence subpage |

### bt_main_page_sequence_copy_selection ()

    void
    bt_main_page_sequence_copy_selection (const BtMainPageSequence *self);

Copy selected area.

not yet working

#### Parameters

self | the sequence subpage |

### bt_main_page_sequence_cut_selection ()

    void
    bt_main_page_sequence_cut_selection (const BtMainPageSequence *self);

Cut selected area.

not yet working

#### Parameters

self | the sequence subpage |

### bt_main_page_sequence_paste_selection ()

    void
    bt_main_page_sequence_paste_selection (const BtMainPageSequence *self);

Paste at the top of the selected area.

not yet working

#### Parameters

self | the sequence subpage |

## Types and Values

### struct BtMainPageSequence

    struct BtMainPageSequence;

the sequence page for the editor application

## Property Details

### The `“cursor-row”` property

      “cursor-row”               glong

position of the cursor in the sequence view in bars.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“follow-playback”` property

      “follow-playback”          gboolean

scroll the sequence in sync with the playback.

Flags: Read / Write

Default value: TRUE

## See Also

BtSequence, BtSequenceView